aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/opal-ci/build-centos7.sh
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/opal-ci/build-centos7.sh')
-rwxr-xr-xroms/skiboot/opal-ci/build-centos7.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/roms/skiboot/opal-ci/build-centos7.sh b/roms/skiboot/opal-ci/build-centos7.sh
new file mode 100755
index 000000000..79b4c2e9b
--- /dev/null
+++ b/roms/skiboot/opal-ci/build-centos7.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+# We're limited as to what we want to bother to run on CentOS7
+# It's fairly old and some of the things (e.g. build+run qemu) we don't
+# want to bother doing.
+if [ $(arch) == "x86_64" ]; then
+ export CROSS=/opt/cross/gcc-8.1.0-nolibc/powerpc64-linux/bin/powerpc64-linux-
+fi
+# Note that this doesn't work on centos7 because "/lib64/ld64.so.2: version `GLIBC_2.22' not found"
+if [ $(arch) == "ppc64le" ]; then
+ export CROSS=/opt/cross/gcc-8.1.0-nolibc/powerpc64-linux/bin/powerpc64-linux-
+fi
+
+MAKE_J=$(grep -c processor /proc/cpuinfo)
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+(cd external/pflash; make -j${MAKE_J})
+make clean
+SKIBOOT_GCOV=1 make -j${MAKE_J}
+SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean